Labels
List labels for a customer
Returns all labels for a specified Verified Customer, sorted by creation date (most recent first). Supports pagination with limit and offset parameters. Each label includes its current amount and creation timestamp.
GET
/
customers
/
{id}
/
labels
cURL
GET https://api-sandbox.dwolla.com/customers/315a9456-3750-44bf-8b41-487b10d1d4bb/labels
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var customerUrl =
"https://api-sandbox.dwolla.com/customers/5b29279d-6359-4c87-a318-e09095532733";
dwolla
.get(`${customerUrl}/labels`)
.then((res) => res.body._embedded["labels"][0].id); // => '7e042ffe-e25e-40d2-b86e-748b98845ecc'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer_url = 'https://api-sandbox.dwolla.com/customers/315a9456-3750-44bf-8b41-487b10d1d4bb'
labels = app_token.get('%s/labels' % customer_url)
labels.body['_embedded']['labels'][0]['id'] # => '7e042ffe-e25e-40d2-b86e-748b98845ecc'
<?php
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
$customerUrl = 'https://api-sandbox.dwolla.com/customers/315a9456-3750-44bf-8b41-487b10d1d4bb';
$customersApi = new DwollaSwagger\CustomersApi($apiClient);
$labels = $customersApi->getLabelsForCustomer($customerUrl);
$labels->_embedded->{'labels'}[0]->id; # => "7e042ffe-e25e-40d2-b86e-748b98845ecc"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer_url = 'https://api-sandbox.dwolla.com/customers/315a9456-3750-44bf-8b41-487b10d1d4bb'
labels = app_token.get "#{customer_url}/labels"
labels._embedded['labels'][0].id # => "7e042ffe-e25e-40d2-b86e-748b98845ecc"
{
"_links": {},
"_embedded": {
"labels": [
{
"_links": {},
"id": "7e042ffe-e25e-40d2-b86e-748b98845ecc",
"created": "2022-05-15T22:19:09.635Z",
"amount": {
"value": "10.00",
"currency": "USD"
}
}
]
},
"total": 100
}{
"code": "Forbidden",
"message": "Not authorized to list customer labels"
}{
"code": "NotFound",
"message": "Customer not found"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
ID of customer
Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/customers/315a9456-3750-44bf-8b41-487b10d1d4bb/labels
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var customerUrl =
"https://api-sandbox.dwolla.com/customers/5b29279d-6359-4c87-a318-e09095532733";
dwolla
.get(`${customerUrl}/labels`)
.then((res) => res.body._embedded["labels"][0].id); // => '7e042ffe-e25e-40d2-b86e-748b98845ecc'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer_url = 'https://api-sandbox.dwolla.com/customers/315a9456-3750-44bf-8b41-487b10d1d4bb'
labels = app_token.get('%s/labels' % customer_url)
labels.body['_embedded']['labels'][0]['id'] # => '7e042ffe-e25e-40d2-b86e-748b98845ecc'
<?php
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
$customerUrl = 'https://api-sandbox.dwolla.com/customers/315a9456-3750-44bf-8b41-487b10d1d4bb';
$customersApi = new DwollaSwagger\CustomersApi($apiClient);
$labels = $customersApi->getLabelsForCustomer($customerUrl);
$labels->_embedded->{'labels'}[0]->id; # => "7e042ffe-e25e-40d2-b86e-748b98845ecc"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer_url = 'https://api-sandbox.dwolla.com/customers/315a9456-3750-44bf-8b41-487b10d1d4bb'
labels = app_token.get "#{customer_url}/labels"
labels._embedded['labels'][0].id # => "7e042ffe-e25e-40d2-b86e-748b98845ecc"
{
"_links": {},
"_embedded": {
"labels": [
{
"_links": {},
"id": "7e042ffe-e25e-40d2-b86e-748b98845ecc",
"created": "2022-05-15T22:19:09.635Z",
"amount": {
"value": "10.00",
"currency": "USD"
}
}
]
},
"total": 100
}{
"code": "Forbidden",
"message": "Not authorized to list customer labels"
}{
"code": "NotFound",
"message": "Customer not found"
}